Subject: No such file or directory
From: Eric Goforth <[email-masked]>
To: [email-masked]
Date: Fri, 24 Mar 2000 17:43:14 -0500

I'm trying to compile the Remind utility to work under Cygwin.  I
initially tried compiling it with the I've compiled it, and then tried
"make install," but I'm getting a bunch of "No such file or directory"
messages.  I created a /usr/local/man and /usr/local/bin directories.  I
then tried doing another "make" and "make install."  Apparently, it
compiled correctly?

In the Readme.DOS file I am told the following:

3 - If you are using Turbo C to compile Remind, type:

	make -fmakefile.tc

    If you are using Microsoft C to compile Remind, type:

	make makefile.msc

I considered trying to compile it with the  -mno-cygwin option and using
one of these other makefiles.  I'm not much of a C programmer as I'm
sure you can tell.

BASH.EXE-2.02$ make

*******************
*                 *
* Building REMIND *
*                 *
*******************

make[1]: Nothing to be done for `all'.
BASH.EXE-2.02$ ls
ACKNOWLEDGEMENTS  config.cache      examples          tests
COPYRIGHT         config.log        install-sh        unconfigure
Makefile          config.status     man               www
README            configure         remind.lsm
WINDOWS           configure.in      scripts
build.tk          docs              src
BASH.EXE-2.02$ make install

*********************
*                   *
* Installing REMIND *
*                   *
*********************

cd src; make install
for prog in remind rem2ps ./../scripts/kall ./../scripts/rem
./../scripts/tkremi
nd ./../scripts/cm2rem.tcl ; do \
        /CYGNUS/CYGWIN~1/H-I586~1/BIN/install -c $prog /usr/local/bin ;
\
done
/CYGNUS/CYGWIN~1/H-I586~1/BIN/install: remind: No such file or directory
/CYGNUS/CYGWIN~1/H-I586~1/BIN/install: rem2ps: No such file or directory
strip /usr/local/bin/remind
strip: /usr/local/bin/remind: No such file or directory
make[1]: [install] Error 1 (ignored)
strip /usr/local/bin/rem2ps
strip: /usr/local/bin/rem2ps: No such file or directory
make[1]: [install] Error 1 (ignored)
for man in ./../man/kall.1 ./../man/rem.1 ./../man/rem2ps.1
./../man/remind.1 ./
../man/tkremind.1 ./../man/cm2rem.1 ; do  \
        /CYGNUS/CYGWIN~1/H-I586~1/BIN/install -c -m 644 $man
/usr/local/man/man1
 ; \
done
BASH.EXE-2.02$

--
Eric Goforth

--
Want to unsubscribe from this list?
Send a message to [email-masked]